Cyberduck Mountain Duck CLI

#6008 closed defect (thirdparty)

Server Name Indication (SNI) not supported

Reported by: ij Owned by: dkocher
Priority: normal Milestone:
Component: webdav Version: 4.0.2
Severity: normal Keywords:
Cc: Architecture: Intel
Platform:

Description (last modified by dkocher)

Apparently Cyberduck doesn't support SNI with WebDAV. I get this lines in Apache log files when trying to connect to SSL enabled vhosts:

==> /var/log/apache2/www.windfluechter.net-error.log <==

[Wed Jun 15 19:57:42 2011] [error] No hostname was provided via SNI for a name based virtual host

==> /var/log/apache2/www.windfluechter.net-access.log <==

[15/Jun/2011:19:57:42 +0200] rostock.ip6.windfluechter.net 2001:6f8:90e:900::2 - "PROPFIND /webdav/ HTTP/1.1" 403 209 "-" "Cyberduck/4.0.2 (Mac OS X/10.6.7) (i386)" www.windfluechter.net

This results in choosing the wrong SSL cert (first/default SSL cert in Apache). Please seet the hopefully attached screenshot.

Regards, Ingo

Attachments (1)

Bildschirmfoto 2011-06-15 um 19.51.21.png (107.2 KB) - added by ij on Jun 15, 2011 at 6:07:08 PM.
SNI Problem with Cyberduck 4.0.2

Download all attachments as: .zip

Change History (7)

Changed on Jun 15, 2011 at 6:07:08 PM by ij

SNI Problem with Cyberduck 4.0.2

comment:1 Changed on Jun 16, 2011 at 6:24:47 AM by dkocher

  • Component changed from core to webdav
  • Description modified (diff)
  • Owner set to dkocher

comment:2 Changed on Jun 16, 2011 at 6:25:27 AM by dkocher

Haven't heard of SNI before. Do you run multiple SSL virtual hosts with the same IP address?

comment:3 Changed on Jun 16, 2011 at 6:27:30 AM by dkocher

Before I dig into this further, can you update to the latest snapshot build and replicate the issue. The WebDAV protocol implementation has changed for 4.1.

Last edited on Jun 16, 2011 at 6:28:30 AM by dkocher (previous) (diff)

comment:4 Changed on Jun 16, 2011 at 6:49:19 AM by dkocher

This is in Server Name Indication in RFC 4366.

Last edited on Jun 16, 2011 at 6:49:46 AM by dkocher (previous) (diff)

comment:5 follow-up: Changed on Jun 16, 2011 at 6:53:10 AM by dkocher

  • Resolution set to thirdparty
  • Status changed from new to closed

We rely on the TLS implementation in Java where SNI is supported as of SE 7. We currently ship the App Store version of Cyberduck bundled with JRE 7 where this issue should be resolved. For the version of Cyberduck with no JRE bundled, this will be resolved when JRE 7 is available for OS X.

comment:6 in reply to: ↑ 5 Changed on Nov 24, 2013 at 9:38:31 PM by dkocher

Replying to dkocher:

We rely on the TLS implementation in Java where SNI is supported as of SE 7. We currently ship the App Store version of Cyberduck bundled with JRE 7 where this issue should be resolved. For the version of Cyberduck with no JRE bundled, this will be resolved when JRE 7 is available for OS X.

This is now resolved as of 4.4.

Note: See TracTickets for help on using tickets.
swiss made software